import request from '@/utils/request';

/**
 * 设置引导页
 */
export const setGuidance = (params: any) => {
  return request.post('/edu-app/functionGuidance/save', {
    data: params
  });
};

/**
 * 获取引导页
 */
export const getGuidance = (params: any) => {
  return request.get('/edu-app/functionGuidance/queryTagDetail', {
    data: params,
    params
  });
};

/**
 * 删除引导页
 */
export const deleteFunctionGuidance = (params: any) => {
  return request.post('/edu-app/teacher/deleteFunctionGuidance', {
    data: params,
    params
  });
};
