import { defineComponent } from 'vue';
import styles from '../index2.module.less';
import TeachGroup from '../modals/teachGroup';
export default defineComponent({
  name: 'home-teachList',
  setup() {
    const teachList = {
      '06-18': [
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第七单元 |【歌表演】大雁',
          image: ''
        },
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第六单元 |【歌表演】大雁',
          image: ''
        }
      ],
      '06-17': [
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第五单元 |【歌表演】大雁',
          image: ''
        },
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第四单元 |【歌表演】大雁',
          image: ''
        }
      ],
      '06-16': [
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第三单元 |【歌表演】大雁',
          image: ''
        }
      ],
      '06-15': [
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第二单元 |【歌表演】大雁',
          image: ''
        }
      ],
      '06-14': [
        {
          classGroup: '3年级2班',
          teacherName: '孙忆枫',
          conent: '人教版二年级上册 | 第一单元 |【歌表演】大雁',
          image: ''
        }
      ]
    } as any;

    return () => (
      <>
        <div class={styles.teachListWrap}>
          {Object.keys(teachList).map(key => (
            <TeachGroup list={teachList[key]} keys={key}></TeachGroup>
          ))}
          <div class={styles.teachListWrapWall}></div>
        </div>
      </>
    );
  }
});
