import { defineComponent } from 'vue';
import styles from '../index2.module.less';
import TeachItem from './teachItem';
export default defineComponent({
  props: ['list', 'keys'],
  name: 'home-teachGroup',
  setup(props, { emit }) {
    return () => (
      <>
        <div class={styles.teachGroup}>
          <p class={styles.teachGroupTitle}>{props.keys}</p>
          <div class={styles.teachGroupList}>
            <div class={styles.teachGroupListDot}></div>
            {props.list.map((item: any) => (
              <TeachItem item={item}></TeachItem>
            ))}
          </div>
        </div>
      </>
    );
  }
});
