export enum PageEnum {
  // 登录
  BASE_LOGIN = '/login',
  BASE_LOGIN_NAME = 'Login',
  //重定向
  REDIRECT = '/redirect',
  // REDIRECT_NAME = 'Redirect',
  // 首页
  BASE_HOME = '/home',
  // //首页跳转默认路由
  // BASE_HOME_REDIRECT = '/dashboard/console',
  // // 错误
  // ERROR_PAGE_NAME = 'ErrorPage'
  SONG_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/1698420034679a22d3f7a.png',
  // ppt封面
  PPT_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/12/1701931810284.png',
  /** 听音练习 */
  // LISTEN_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/171013700931689a322a6.png',
  /** 节奏练习 */
  RHYTHM_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/171013700931689a322a6.png',
  /** 乐理知识 */
  THEORY_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/17101370093160d479afe.png',
  /** 曲目 */
  MUSIC_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/1710137009315eedcdeed.png',
  /** 乐器 */
  INSTRUMENT_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/17101370093153448b2cd.png',
  /** 音乐家 */
  MUSICIAN_DEFAULT_COVER = 'https://oss.dayaedu.com/ktqy/1710137009316fbd65d39.png'
}

// LISTEN:听音,RHYTHM：节奏,THEORY：乐理知识,MUSIC:曲目 INSTRUMENT:乐器 MUSICIAN:音乐家）
export const NaturalType: { [_: string]: string } = {
  IMG: '图片',
  VIDEO: '视频',
  SONG: '音频',
  MUSIC: '乐谱'
};

export enum NaturalTypeEnum {
  IMG = 'IMG',
  VIDEO = 'VIDEO',
  MUSIC = 'MUSIC',
  SONG = 'SONG',
  PPT = 'PPT'
}
